Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.swrl.bridge.impl
Class OWLDatatypePropertyAssertionAxiomImpl

    java.lang.Object
      edu.stanford.smi.protegex.owl.swrl.bridge.impl.OWLPropertyAssertionAxiomImpl
          edu.stanford.smi.protegex.owl.swrl.bridge.impl.OWLDatatypePropertyAssertionAxiomImpl

All Implemented Interfaces:
  OWLAxiom, OWLDatatypePropertyAssertionAxiom, OWLObject, OWLPropertyAssertionAxiom

    public class OWLDatatypePropertyAssertionAxiomImpl

extends OWLPropertyAssertionAxiomImpl
implements OWLDatatypePropertyAssertionAxiom

Constructor Summary
`OWLDatatypePropertyAssertionAxiomImpl(OWLIndividual subject, OWLProperty property, OWLDatatypeValue object)`

Method Summary
`boolean` | `equals(Object obj)`
`OWLDatatypeValue` | `getObject()`
`int` | `hashCode()`
`String` | `toString()`
`void` | `write2OWL(OWLModel owlModel)`

Methods inherited from class edu.stanford.smi.protegex.owl.swrl.bridge.impl.OWLPropertyAssertionAxiomImpl
`getProperty, getSubject`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface edu.stanford.smi.protegex.owl.swrl.bridge.OWLPropertyAssertionAxiom
`getProperty, getSubject`

Constructor Detail

### OWLDatatypePropertyAssertionAxiomImpl

    public OWLDatatypePropertyAssertionAxiomImpl(OWLIndividual subject,
                                                 OWLProperty property,
                                                 OWLDatatypeValue object)

Method Detail

### getObject

    public OWLDatatypeValue getObject()

  Specified by:
    `getObject` in interface `OWLDatatypePropertyAssertionAxiom`

### write2OWL

    public void write2OWL(OWLModel owlModel)
                   throws SWRLRuleEngineBridgeException

  Specified by:
    `write2OWL` in interface `OWLObject`
  Throws:
    `SWRLRuleEngineBridgeException`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `OWLPropertyAssertionAxiomImpl`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `OWLPropertyAssertionAxiomImpl`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.